Skip to content

List presence

Request

List the presence status of all agents/admins in a team.

Security
ApiKeyAuth
Path
teamIdstring, (uuid)required

The team id

Query
pageLimitinteger, (int32)

Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

pageKeystring

Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

GET
/beta/teams/{teamId}/presence
curl -i -X GET \
  'https://dev.dixa.io/beta/teams/{teamId}/presence?pageLimit=0&pageKey=string' \
  -H 'Authorization: YOUR_API_KEY_HERE'

Responses

List of agents/admins presence status in the specified team

Bodyapplication/json
dataArray of objects(UserPresence)
metaobject(PaginationLinks)
Response
{ "data": [ { … }, { … } ] }